/**
 * @license
 * SPDX-License-Identifier: Apache-2.0
 */
/**
 * @fileoverview This file re-exports all of the wrappers to ensure that we have
 * a clearly defined interface.
 */
export * as safeAnchorEl from './elements/anchor';
export * as safeAreaEl from './elements/area';
export * as safeButtonEl from './elements/button';
export * as safeElement from './elements/element';
export * as safeEmbedEl from './elements/embed';
export * as safeFormEl from './elements/form';
export * as safeIframeEl from './elements/iframe';
export * as safeInputEl from './elements/input';
export * as safeLinkEl from './elements/link';
export * as safeObjectEl from './elements/object';
export * as safeScriptEl from './elements/script';
export * as safeStyleEl from './elements/style';
export * as safeDocument from './globals/document';
export * as safeDomParser from './globals/dom_parser';
export * as safeGlobal from './globals/global';
export * as safeLocation from './globals/location';
export * as safeRange from './globals/range';
export * as safeServiceWorkerContainer from './globals/service_worker_container';
export * as safeWindow from './globals/window';
export * as safeWorker from './globals/worker';
